# Draw
TKTopTest
TestTopOpeTools

# TestTopOpeTools_Mesure Class Reference

`#include <TestTopOpeTools_Mesure.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TestTopOpeTools_Mesure ()
Standard_EXPORT | TestTopOpeTools_Mesure (const TCollection_AsciiString &name)
Standard_EXPORT | TestTopOpeTools_Mesure (const Handle(TColgp_HArray1OfPnt)&Pnts)
Standard_EXPORT void | Add (const Standard_Integer n, const Standard_Real t)
Standard_EXPORT void | SetName (const TCollection_AsciiString &Name)
Standard_EXPORT const TCollection_AsciiString & | Name () const
Standard_EXPORT const TColgp_Array1OfPnt & | Pnts () const
Standard_EXPORT const gp_Pnt & | Pnt (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | NPnts () const
Standard_EXPORT void | Clear ()

## Private Attributes

TCollection_AsciiString | myName
Handle_TColgp_HArray1OfPnt | myPnts
Standard_Integer | myNPnts

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeTools_Mesure::TestTopOpeTools_Mesure | ( |  | ) |

Standard_EXPORT TestTopOpeTools_Mesure::TestTopOpeTools_Mesure | ( | const TCollection_AsciiString & | name | ) |

Standard_EXPORT TestTopOpeTools_Mesure::TestTopOpeTools_Mesure | ( | const Handle(TColgp_HArray1OfPnt)& | Pnts | ) |

## Member Function Documentation

Standard_EXPORT void TestTopOpeTools_Mesure::Add | ( | const Standard_Integer | n,
|  | const Standard_Real | t
| ) |

Standard_EXPORT void TestTopOpeTools_Mesure::Clear | ( |  | ) |

Standard_EXPORT const TCollection_AsciiString& TestTopOpeTools_Mesure::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer TestTopOpeTools_Mesure::NPnts | ( |  | ) | const

void TestTopOpeTools_Mesure::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TestTopOpeTools_Mesure::operator new | ( | size_t | size | ) | `[inline]`

void* TestTopOpeTools_Mesure::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const gp_Pnt& TestTopOpeTools_Mesure::Pnt | ( | const Standard_Integer | I | ) | const

Standard_EXPORT const TColgp_Array1OfPnt& TestTopOpeTools_Mesure::Pnts | ( |  | ) | const

Standard_EXPORT void TestTopOpeTools_Mesure::SetName | ( | const TCollection_AsciiString & | Name | ) |

## Field Documentation

TCollection_AsciiString TestTopOpeTools_Mesure::myName `[private]`

Standard_Integer TestTopOpeTools_Mesure::myNPnts `[private]`

Handle_TColgp_HArray1OfPnt TestTopOpeTools_Mesure::myPnts `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeTools_Mesure.hxx